#header{
    width: 100%;
    height: 720px;
    position: relative;
    filter: drop-shadow(0px 0px 10px rgba(0,0,0,0.4));
}

.slider-scrolable-box{
    overflow: hidden;
    height: inherit;
    scroll-behavior: smooth;
}

.slider-container{
    width: 300%;
    height: inherit;
    display: flex;
    justify-content: flex-start;
    flex-wrap: nowrap;
}

.slide{
    width: 100vw;
    height: inherit;
    background-size: cover;
    display: flex;
    align-items: flex-end;
    filter: drop-shadow(0px 0px 10px rgba(0,0,0,0.4));
}

.link-container{
    filter: drop-shadow(0px 0px 10px rgba(0,0,0,0.4));
    text-align: center;
    width: 100%;
}

.slide-button{
    display: block;
    width: 350px;
    height: 60px;
    background-color: white;
    margin: 100px auto;
    line-height: 60px;
    text-align: center;
    font-size: 20px;
    background: linear-gradient(to right, #249DC2 50%, white 50%) right;
    background-size: 200% 100%;
    color: #249DC2;
    font-weight: bold;
    position: relative;
    transition: all .2s ease-out;

}

.slide-button:hover{
    color: white;
    background-position: left;
    transition: all 0.3s linear;
}

.slider-navbar{
    width: 100%;
    height: 50px;
    position: absolute;
    bottom: 10px;
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.slider-navbar-item{
    width: 20px;
    height: 20px;
    background-color: white;
    opacity: 0.5;
    cursor: pointer;
}

.slider-navbar-item-active{
    opacity: 1 !important;
}

.slider-button{
    width: 50px;
    height: 50px;
    position: absolute;
    top: calc(50% - 25px);
    cursor: pointer;
    z-index: 2;
    text-align: center;
}

.slider-button-image{
    height: inherit;
}

.slider-button-right{
    right: 50px;
}

.slider-button-left{
    left: 50px;
}

#scroll-down{
    width: 100%;
    height: 100%;
    background-color: white;


    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;

}

#scroll-down-link{
    width: 120px;
    height: 90px;
    position: absolute;
    bottom: 0px;
    right: 200px;
    clip-path: polygon(0 20%, 20% 0, 80% 0, 100% 20%, 100% 100%, 0 100%);
    color: #249DC2;
}

#scroll-down img{
    height: 28px;
}

#scroll-down-parent{
    filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.1));
}

main{
    display: grid;
    grid-template : "filterbar filterbar" min-content
                    "courses discount" auto / auto 300px;
    grid-gap: 20px 5%;
    width: 95%;
    margin: 10px auto 50px auto;
}


.filter-bar{
    grid-area: filterbar;
    height: auto;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* margin: 20px auto; */
    box-sizing: border-box;
    padding-right: 10px;
    -webkit-box-shadow: 0px 2px 10px -3px #949494;
    box-shadow: 0px 2px 10px -3px #949494;
    flex-wrap: wrap;
    max-width: 100%;
    overflow: hidden;
}

.filter-bar-right{
    display: flex;
    justify-content: flex-start;
    gap: 25px;
    height: 50px;
}

.filter-bar-item{
    display: flex;
    gap: 15px;
    align-items: center;
}

.filter-select{
    height: 100%;
    background-color: gainsboro;
    border: none;
    width: 140px;
    font-family: iransans;
    font-size: 16px;
    padding: 0px 5px;
    text-align: center;
}


/* Chosen Customization */

.chosen-single{
    height: 100% !important;
    background: gainsboro !important;
    display: flex !important;
    align-items: center !important;
    border: none !important;
    border-radius: 0 !important;
    font-size: 16px !important;
    font-family: 'iransans' !important;
    color: black !important;
    box-shadow: none !important;
}

.chosen-container{
    width: 162px;
    height: 100%;
}

.filter-box{
    height: 100%;
    display: flex;
    align-items: center;
}

.filter-bar-left{
    height: 50px;
}

.filter-bar-left form{
    display: flex;
    justify-content: flex-end;
    height: 100%;
    background-color: gainsboro;
}

.search-input{
    border: none;
    background-color: gainsboro;
    width: 230px;
    font-family: iransans;
    padding-right: 10px;
}

.search-button{
    width: 50px;
    height: inherit;
    border: none;
    background: #249DC2;
    display: flex;
    box-sizing: border-box;
    padding: 5px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color 0.2s linear;
}

.search-button:hover{
    background-color: #1c7895;
    transition: all .3s linear;
}

.search-button img{
    height: 60%;
}


select:focus, input:focus{
    outline: none;
}


/* ------ Discount Container ----- */

.body{
    width: 90%;
    display: flex;
    flex-wrap: wrap;
    margin: auto;
    justify-content: space-between;
    margin-bottom: 100px;
}
.course-list-box{
    /* width: 1000px; */
    height: auto;
    min-height: 500px;
    grid-area: courses;
}

.discount-box{
    height: inherit;
    grid-area: discount;

}
.discount-card{
    width: 300px;
    height: 500px;
    background-color: white;
        position: sticky;
        top: 80px;
    margin: auto;
}

.discount-card-header{
    width: 100%;
    height: 65px;
    background-color: white;
    line-height: 60px;
    box-sizing: border-box;
    padding: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.discount-card-buttons-box{
    width: 140px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-left: 10px;
    height: 30px;
    /* background-color: antiquewhite; */
}

.discount-header-button{
    width: 20px;
    /* background: aqua; */
    height: 20px;
    cursor: pointer;
}

.discount-header-button img{
    height: 100%;
}
.discount-nav-box{
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 100px;
    height: 100%;
    gap: 5px;
}

.discount-nav-item{
    max-width: 100px;
    height: 100%;
    display: flex;
    background-color: #249DC2;
    opacity: 0.5;
    width: 10px;
    height: 10px;
    cursor: pointer;
}

.discount-nav-item-active{
    opacity: 1;
}

.discounts-body{
    width: 100%;
    height: calc(100% - 65px);
    overflow: hidden;
    position: relative;
    scroll-behavior: smooth;
}

.discount-cards-container{
    width: 500%;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    height: 100%;
}

.card-body{
    width: 300px;
    height: inherit;
}
.discount-card-header h2{
    margin: 0;
    display: inline-block;
    font-size: 20px;
}

.discount-card-header-image{
    height: 25px;
    display: inline-block;
}

.discount-card-header-image-item{
    height: 100%;
    vertical-align: middle;
}

.bookmarked{
    fill: rgb(233 233 11);
}

.bookmark-hoverable:hover path{
    fill: rgb(187, 187, 9);
}

.discount-card-image{
    width: 100%;
    overflow: hidden;
    height: 150px;
}

.discount-card-image img{
    width: 100%;
}

.discount-card-summary{
    width: 100%;
    padding: 0 10px;
    box-sizing: border-box;
    font-size: 14px;
    height: 130px;
    overflow: hidden;
}

.discount-card-footer{
    width: 100%;
    position: absolute;
    bottom: 0;

}

.discount-card-price{
    display: flex !important;
    justify-content: space-evenly;
    align-items: center;
}

.discount-title{
    padding-right: 10px;
}

.rate-star-button{
    width: 20px;

}
.discount-card-footer > span{
    display: block;
    padding: 5px;
}



.discount-card-button{
    display: block;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    font-weight: bold;
}

.real-price{
    font-size: 16px;
    font-weight: lighter;
    text-decoration: line-through;
    opacity: 0.6;;
}


/* ----- boxes ------ */
.box-container{
    /* width: 95%; */
    margin: auto;
    filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.1));
    /* display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 40px; */
    display: grid;
    grid-template-columns: repeat(auto-fill, 300px);
    justify-content: space-between;
    grid-gap: 20px;
}

.box{
    width: 300px;
    height: 400px;
    background-color: white;
    z-index: 1;
    position: relative;
}


.box-image-container{
    width: 100%;
    height: 180px;
}

.box-image{
    height: 100%;
    min-width: 100%;
}

.box-content{
    width: 100%;
    height: calc(100% - 200px);
    box-sizing: border-box;
    padding: 0 10px;
}

.box-description{
    font-size: 14px;
}

.box-footer{
    width: 100%;
    height: 50px;
    position: absolute;
    bottom: 0;
    line-height: 50px;
    display: flex;
    justify-content: space-between;
    background: white;
}

.course-price{
    box-sizing: border-box;
    padding: 0 10px;
    background-color: white;
    display: inline-block;
    width: 50%;
    text-align: center;
    font-size: 20px;
    position: relative;
}

.course-real-price{
    position: absolute;
    top: -25px;
    /* font-size: 14px;
    opacity: 0.5; */
}

.course-link{
    box-sizing: border-box;
    padding: 0 10px;
    display: inline-block;
    width: 50%;
}

.pagination{
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 10px;
    list-style: none;
    margin-top: 50px;
}

.page-link{
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #249DC2;
    color: white;
    clip-path: polygon(0 0, 100% 0, 100% calc(100% - 10px), calc(100% - 10px) 100%, 0 100%);
}

.page-item a{
    color: white;
}

.page-link img{
    height: 50%;
}

.page-link:first-child, .page-link:last-child{
    background: none;
}

.page-link.disabled{
    opacity: 0.5;
}

.page-item.disabled{
    opacity: 0.5;
}

.page-link.active{
    opacity: 0.5;
}

#courses-preloader{
    display: flex;
    justify-content: center;
}



/* ------ Select2 ------- */

#select-category{
    width: 200px !important;
    height: 100% !important;
}

.select2-container{
    height: 100% !important;
    border: none !important;
    outline: none !important;
}

.select2-container--default .select2-selection--single{
    background-color: #dcdcdc !important;
    height: 100% !important;
    outline: none !important;
    border: none !important;
    border-radius: 0 !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow{
    top: 50% !important;
    transform: translateY(-50%) !important;
}

.select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered{
    height: 100% !important;
    display: flex !important;
    align-items: center !important;
}

.select2-container--default .select2-selection--single{
    clip-path: polygon(0 0, 100% 0, 100% calc(100% - 10px), calc(100% - 10px) 100%, 0 100%);
}

@media screen and (max-width : 624px) {

    #header{
        height: 60vw;
        margin-top: 60px;
    }

    .slide-button{
        display: none;
    }

    .slider-navbar-item{
        width: 15px;
        height: 15px;
    }

    .slider-button-right{
        right: 0;
    }

    .slider-button-left{
        left: 0;
    }

    #scroll-down-link{
        display: none;
    }


    main{
        grid-template: "discount" minmax(400px, auto)
                        "filterbar" min-content
                        "courses" auto;

        width: 100%;
    }

    .box-container{
        justify-content: center;
    }

    .filter-bar{
        padding-right: 0;

    }

    .filter-bar-left{
        width: 100%;
    }

    .filter-bar-right{
        justify-content: space-around;
        width: 100%;
        padding:0 10px;
        box-sizing: border-box;

    }

    .filter-select{
        background-color: white;
    }

    .search-input{
        background-color: unset;
        width: calc(100% - 50px);
    }

    .filter-bar-left form{
        padding: 3px;
        background-color: #efefef;
    }

    .filter-title{
        display: none;
    }

    #select-category{
        outline: none;
        border: none;
        font-size: 16px;
        font-family: 'iransans';
        width: 100%;
    }

    /* ----- select2 -------*/
    .select2-container--default .select2-selection--single{
        background-color: white !important;
    }
}


